<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.LogoSettingMapper">

    <sql id="Base_Column_List">
        id,
        main_logo AS mainLogo,
        plat_logo AS platLogo,
        plat_name AS platName,
        create_user AS createUser,
        create_time AS createTime,
        update_user AS updateUser,
        update_time AS updateTime
    </sql>

    <select id="findOne" resultType="com.huatek.busi.entity.LogoSetting">
        SELECT
            <include refid="Base_Column_List"/>
        FROM
            x_logo_setting
    </select>
    
    <delete id="delete">
        DELETE FROM x_logo_setting
    </delete>
</mapper>